Runtime

## org.eclipse.gmf.runtime.emf.ui.services.modelingassistant
Interface IModelingAssistantOperation

All Superinterfaces:
  IOperation

All Known Implementing Classes:
  GetRelTypesForSREOnSourceOperation, GetRelTypesForSREOnTargetOperation, GetRelTypesOnSourceAndTargetOperation, GetRelTypesOnSourceOperation, GetRelTypesOnTargetOperation, GetTypesForPopupBarOperation, GetTypesForSourceOperation, GetTypesForTargetOperation, GetTypesOperation, SelectExistingElementForSourceOperation, SelectExistingElementForTargetOperation

    public interface IModelingAssistantOperation

extends IOperation

Interface for all Modeling Assistant operations. Each operation must provide an id string that is used in the plugin.xml for deferred loading. The ids are defined here so it is easier to look them up. Each operation must all specify a context object. The context object is an adaptable that adapts to the editpart, view, or element.

Field Summary
`static java.lang.String` `GET_REL_TYPES_FOR_SRE_ON_SOURCE_ID` Id for the GetRelTypesForSREOnSource operation
`static java.lang.String` `GET_REL_TYPES_FOR_SRE_ON_TARGET_ID` Id for the GetRelTypesForSREOnTarget operation
`static java.lang.String` `GET_REL_TYPES_ON_SOURCE_AND_TARGET_ID` Id for the GetRelTypesOnSourceAndTarget operation
`static java.lang.String` `GET_REL_TYPES_ON_SOURCE_ID` Id for the GetRelTypesOnSource operation
`static java.lang.String` `GET_REL_TYPES_ON_TARGET_ID` Id for the GetRelTypesOnTarget operation
`static java.lang.String` `GET_TYPES_FOR_POPUP_BAR_ID` Id for the GetTypesForPopupBar operation
`static java.lang.String` `GET_TYPES_FOR_SOURCE_ID` Id for the GetTypesForSource operation
`static java.lang.String` `GET_TYPES_FOR_TARGET_ID` Id for the GetTypesForTarget operation
`static java.lang.String` `GET_TYPES_ID` Id for the GetTypes operation
`static java.lang.String` `SELECT_EXISTING_ELEMENT_FOR_SOURCE_ID` Id for the SelectExistingElementForSource operation
`static java.lang.String` `SELECT_EXISTING_ELEMENT_FOR_TARGET_ID` Id for the SelectExistingElementForTarget operation

Method Summary
`IAdaptable` `getContext()` Returns the context object to match that specified in the plugin.xml for deferred loading.
`java.lang.String` `getId()` Returns the id string to match that specified in the plugin.xml for deferred loading.

Methods inherited from interface org.eclipse.gmf.runtime.common.core.service.IOperation
`execute`

Field Detail

### GET_TYPES_ID

    static final java.lang.String GET_TYPES_ID

  Id for the GetTypes operation

  See Also:
    Constant Field Values

### GET_REL_TYPES_ON_SOURCE_ID

    static final java.lang.String GET_REL_TYPES_ON_SOURCE_ID

  Id for the GetRelTypesOnSource operation

  See Also:
    Constant Field Values

### GET_REL_TYPES_ON_TARGET_ID

    static final java.lang.String GET_REL_TYPES_ON_TARGET_ID

  Id for the GetRelTypesOnTarget operation

  See Also:
    Constant Field Values

### GET_REL_TYPES_ON_SOURCE_AND_TARGET_ID

    static final java.lang.String GET_REL_TYPES_ON_SOURCE_AND_TARGET_ID

  Id for the GetRelTypesOnSourceAndTarget operation

  See Also:
    Constant Field Values

### GET_REL_TYPES_FOR_SRE_ON_SOURCE_ID

    static final java.lang.String GET_REL_TYPES_FOR_SRE_ON_SOURCE_ID

  Id for the GetRelTypesForSREOnSource operation

  See Also:
    Constant Field Values

### GET_REL_TYPES_FOR_SRE_ON_TARGET_ID

    static final java.lang.String GET_REL_TYPES_FOR_SRE_ON_TARGET_ID

  Id for the GetRelTypesForSREOnTarget operation

  See Also:
    Constant Field Values

### GET_TYPES_FOR_SOURCE_ID

    static final java.lang.String GET_TYPES_FOR_SOURCE_ID

  Id for the GetTypesForSource operation

  See Also:
    Constant Field Values

### GET_TYPES_FOR_TARGET_ID

    static final java.lang.String GET_TYPES_FOR_TARGET_ID

  Id for the GetTypesForTarget operation

  See Also:
    Constant Field Values

### SELECT_EXISTING_ELEMENT_FOR_SOURCE_ID

    static final java.lang.String SELECT_EXISTING_ELEMENT_FOR_SOURCE_ID

  Id for the SelectExistingElementForSource operation

  See Also:
    Constant Field Values

### SELECT_EXISTING_ELEMENT_FOR_TARGET_ID

    static final java.lang.String SELECT_EXISTING_ELEMENT_FOR_TARGET_ID

  Id for the SelectExistingElementForTarget operation

  See Also:
    Constant Field Values

### GET_TYPES_FOR_POPUP_BAR_ID

    static final java.lang.String GET_TYPES_FOR_POPUP_BAR_ID

  Id for the GetTypesForPopupBar operation

  See Also:
    Constant Field Values

Method Detail

### getId

    java.lang.String getId()

  Returns the id string to match that specified in the plugin.xml for deferred loading.

  Returns:
    the id string

### getContext

    IAdaptable getContext()

  Returns the context object to match that specified in the plugin.xml for deferred loading.

  Returns:
    the context object

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.